default:
  tags:
    - pipeline

include:
  - project: 'Linaro/lkft/pipelines/lkft-common'
    file: '/stable-rc/bootstrap.yml'

# This will only build and test branches specified here.
workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH =~ /^linux-4.*/'
      when: always
    - if: '$CI_COMMIT_BRANCH =~ /^linux-5.*/'
      when: always
    - if: '$CI_COMMIT_BRANCH =~ /^linux-6.*/'
      when: always
    - when: never

stages:
  - download_prerequisites
  - prerequisites
  - build
  - sanity
  - test
  - report
  - review
  - upstream
